> ## Documentation Index
> Fetch the complete documentation index at: https://docs.advancedwebranking.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Metadata

> This operation retrieves metadata for the main website and its competitors, for one or multiple dates.



## OpenAPI

````yaml api-reference/openapi.json get /marketshare/projects/{projectId}/metadata
openapi: 3.0.0
info:
  title: AWR API
  version: 1.0.0
  description: >-
    Advanced Web Ranking API for managing SEO projects, rankings, and market
    share data
servers:
  - url: https://api.advancedwebranking.com/v3
    description: Production server
security:
  - bearerAuth: []
paths:
  /marketshare/projects/{projectId}/metadata:
    get:
      tags:
        - Market Share
      summary: Metadata
      description: >-
        This operation retrieves metadata for the main website and its
        competitors, for one or multiple dates.
      operationId: getMetadata
      parameters:
        - $ref: '#/components/parameters/projectIdPath'
        - name: searchEngineId
          in: query
          schema:
            type: integer
          example: -1
        - name: keywordGroupId
          in: query
          schema:
            type: integer
          example: -1
        - name: startDate
          in: query
          schema:
            type: string
            format: date
          example: '2025-12-24'
        - name: stopDate
          in: query
          schema:
            type: string
            format: date
          example: '2025-12-31'
        - name: mode
          in: query
          schema:
            type: string
          example: plain
      responses:
        '200':
          description: Successful response
components:
  parameters:
    projectIdPath:
      name: projectId
      in: path
      required: true
      schema:
        type: string
      example: '2'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````